# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/portage/net-www/cvsmonitor/cvsmonitor-0.6.2.ebuild,v 1.1 2003/05/27 14:43:35 solar Exp $

S=${WORKDIR}/
MY_PV=0-6-2

DESCRIPTION="CVS Monitor is a CGI application for looking at CVS repositories in a much more useful and productive way."
SRC_URI="http://ali.as/packages/cvsmonitor-${MY_PV}.tar.gz"
HOMEPAGE="http://ali.as/devel/cvsmonitor/"
KEYWORDS="~x86"
LICENSE="GPL-2"
SLOT="0"
IUSE=""

find_and_fix_me() {
	# These are requirements of cvsmonitor which I was unable to track down in my timeframe
	dev-perl/UNIVERSAL
	dev-perl/IO-File Found 1.09
	dev-perl/FindBin Found 1.43
	dev-perl/Storable Found 2.04
	dev-perl/Fcntl Found 1.04
	dev-perl/File-Copy Found 2.05
}

DEPEND="virtual/glibc"
RDEPEND="
	>=dev-perl/Array-Window-0.1  
	dev-perl/CGI
	>=dev-perl/Chart-Math-Axis-0.1
	>=dev-perl/Class-Autouse-0.7
	>=dev-perl/Class-Default-0.2
	>=dev-perl/Clone-0.13
	>=dev-perl/Config-Tiny-0.1
	dev-perl/File-Find-Rule
	>=dev-perl/File-Flat-0.6
	>=dev-perl/File-Spec-0.82
	dev-perl/File-Temp
	dev-perl/GD
	dev-perl/GDGraph
	dev-perl/GDTextUtil
	dev-perl/Getopt-Mixed
	>=dev-perl/HTTP-BrowserDetect-0.97
	dev-perl/Net-Telnet
	dev-perl/Proc-ProcessTable
	>=dev-perl/Sort-Versions-1.4
	dev-perl/Time-Duration
	dev-perl/TimeDate
	dev-perl/URI
	>=dev-perl/Validate-Net-0.3"

HTTPD_ROOT="`grep '^DocumentRoot' /etc/apache/conf/apache.conf | cut -d\  -f2`"
HTTPD_USER="`grep '^User' /etc/apache/conf/commonapache.conf | cut -d \  -f2`"
HTTPD_GROUP="`grep '^Group' /etc/apache/conf/commonapache.conf | cut -d \  -f2`"
HTTP_REALROOT=`grep ^${HTTPD_USER}: /etc/passwd | awk -F : '{print $6}'`

[ -z "${HTTPD_ROOT}" ] && HTTPD_ROOT="/home/httpd/htdocs"
[ -z "${HTTPD_USER}" ] && HTTPD_USER="apache"
[ -z "${HTTPD_GROUP}" ] && HTTPD_GROUP="apache"
[ -z "${HTTPD_REALROOT}" ] && HTTPD_REALROOT="/home/httpd"

src_install() {
	einfo "Installing ${PN}"
	dodir ${HTTPD_ROOT}/${PN}
	dodir ${HTTPD_REALROOT}/cgi-bin/
	cp -dR ${PN} ${D}/${HTTPD_REALROOT}/cgi-bin/
	chown -R ${HTTPD_USER}.${HTTPD_GROUP} ${D}/${HTTPD_ROOT}/${PN}
}
